Bug 145816 - Saving new Address causes stacktrace
Saving new Address causes stacktrace
Status: CLOSED NEXTRELEASE
Product: Red Hat Network
Classification: Red Hat
Component: RHN/R&D (Show other bugs)
RHN Devel
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mike McCune
Red Hat Satellite QA List
:
Depends On:
Blocks: rhnMilestone1
  Show dependency treegraph
 
Reported: 2005-01-21 16:25 EST by Mike McCune
Modified: 2007-04-18 13:18 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-01-24 20:22:12 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mike McCune 2005-01-21 16:25:39 EST
Only for new addresses.  Works fine for existing ones.

 org.apache.struts.action.RequestProcessor - Unhandled Exception
thrown: class com.redhat.rhn.common.hibernate.HibernateRuntimeException
2005-01-21 16:15:12,112 [TP-Processor7] ERROR
net.sf.hibernate.impl.SessionImpl - Could not synchronize database
state with session
2005-01-21 16:15:12,116 [TP-Processor7] ERROR
com.redhat.rhn.domain.session.WebSessionFactory - HibernateException
trying to commit: com.redhat.rhn.domain.session.WebSessionImpl
net.sf.hibernate.TransientObjectException: object references an
unsaved transient instance - save the transient instance before
flushing: com.redhat.rhn.domain.user.AddressImpl
        at
net.sf.hibernate.impl.SessionImpl.throwTransientObjectException(SessionImpl.java:2788)
        at
net.sf.hibernate.impl.SessionImpl.getEntityIdentifierIfNotUnsaved(SessionImpl.java:2780)
        at
net.sf.hibernate.type.EntityType.getIdentifier(EntityType.java:66)
        at
net.sf.hibernate.type.ManyToOneType.nullSafeSet(ManyToOneType.java:47)
        at
net.sf.hibernate.collection.AbstractCollectionPersister.writeElement(AbstractCollectionPersister.java:386)
        at net.sf.hibernate.collection.Set.writeTo(Set.java:226)
        at
net.sf.hibernate.collection.AbstractCollectionPersister.insertRows(AbstractCollectionPersister.java:609)
        at
net.sf.hibernate.impl.ScheduledCollectionUpdate.execute(ScheduledCollectionUpdate.java:49)
        at
net.sf.hibernate.impl.SessionImpl.executeAll(SessionImpl.java:2438)
        at
net.sf.hibernate.impl.SessionImpl.execute(SessionImpl.java:2394)
        at net.sf.hibernate.impl.SessionImpl.flush(SessionImpl.java:2260)
        at
net.sf.hibernate.transaction.JDBCTransaction.commit(JDBCTransaction.java:61)
        at
com.redhat.rhn.common.hibernate.HibernateFactory.commitObject(HibernateFactory.java:281)
        at
com.redhat.rhn.common.hibernate.HibernateFactory.commitObject(HibernateFactory.java:298)
        at
com.redhat.rhn.domain.session.WebSessionFactory.commit(WebSessionFactory.java:81)
        at
com.redhat.rhn.frontend.struts.RhnHelper.commitSession(RhnHelper.java:175)
        at
com.redhat.rhn.frontend.servlets.AuthFilter.doFilter(AuthFilter.java:95)
        at
org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:186)

Note You need to log in before you can comment on or make changes to this bug.